Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.extension.mock
Class MockObjectTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          org.jmock.cglib.MockObjectTestCase
                              net.sf.joyaop.extension.mock.MockObjectTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class MockObjectTestCase

extends org.jmock.cglib.MockObjectTestCase

Author:
  Shen Li

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`MockObjectTestCase()`

Method Summary
`org.jmock.Mock` | `mockAbstactMethods(java.lang.Class mockedType)`
`org.jmock.Mock` | `mockAbstactMethods(java.lang.Class mockedType, java.lang.Class[] argTypes, java.lang.Object[] args)`
`org.jmock.Mock` | `mockAbstactMethods(java.lang.Class mockedType, java.lang.String roleName)`
`org.jmock.Mock` | `mockAbstactMethods(java.lang.Class mockedType, java.lang.String roleName, java.lang.Class[] argTypes, java.lang.Object[] args)`

Methods inherited from class org.jmock.cglib.MockObjectTestCase
`newCoreMock`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, defaultMockNameForType, mock, mock, never, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, isA, newDummy, newDummy, newDummy, not, or, same, stringContains`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockObjectTestCase

    public MockObjectTestCase()

Method Detail

### mockAbstactMethods

    public org.jmock.Mock mockAbstactMethods(java.lang.Class mockedType)

### mockAbstactMethods

    public org.jmock.Mock mockAbstactMethods(java.lang.Class mockedType,
                                             java.lang.Class[] argTypes,
                                             java.lang.Object[] args)

### mockAbstactMethods

    public org.jmock.Mock mockAbstactMethods(java.lang.Class mockedType,
                                             java.lang.String roleName)

### mockAbstactMethods

    public org.jmock.Mock mockAbstactMethods(java.lang.Class mockedType,
                                             java.lang.String roleName,
                                             java.lang.Class[] argTypes,
                                             java.lang.Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD